#!/bin/bash
# getDevicesWithVC script

# use this script to identify which and how many devices are associated to a given Vendor Certification
# parameters:
#	dbUser name (like dauser)
#	Vendor Cert Internal Name (can be full name or a substring)
#
# example:	./getDevicesWithVC.sh dauser HuaweiEntityCPU

# DISCLAIMER
# This script is provided AS IS and no warranties are provided or made.  
# For more information refer to http://www.ca.com/us/legal/terms-for-user-sites.aspx

if [ $# -lt 2	 ]
then
    echo "USAGE $0 <dauser> <VendorCertInternalName>"
    exit
fi

echo "Devices with $2"

/opt/vertica/bin/vsql -U $1 -c "SELECT d.hostname, v6_ntoa(d.primary_ip_address) as 'address', vi.item_id  FROM v_item_facet vi JOIN device d ON vi.item_id = d.item_id WHERE vi.facet_qname LIKE '%$2%';"

